#2051 closed defect (fixed)

qoriq* fail to build: error: conflicting types for 'Clock_isr'

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

With today's git all qoriq* BSPs fail to build with this error:

powerpc-rtems4.11-gcc --pipe -B../../../../../.././lib/ -B../../../../../.././qoriq_p1020rdb/lib/ -specs bsp_specs -qrtems -DHAVE_CONFIG_H -isystem ../../../../../.././qoriq_p1020rdb/lib/include -mcpu=8540 -meabi -msdata -fno-common -mfloat-gprs=double -mstrict-align -Dppc_generic -Os -g -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT clock-config.o -MD -MP -MF .deps/clock-config.Tpo -c -o clock-config.o test -f 'clock/clock-config.c' || echo '../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/'clock/clock-config.c
In file included from ../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/clock-config.c:128:0:
../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/../../../shared/clockdrv_shell.h:60:11: error: conflicting types for 'Clock_isr'
../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/clock-config.c:32:11: note: previous declaration of 'Clock_isr' was here
In file included from ../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/clock-config.c:128:0:
../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/../../../shared/clockdrv_shell.h:61:11: error: conflicting types for 'Clock_isr'
../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/clock-config.c:32:11: note: previous declaration of 'Clock_isr' was here
In file included from ../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/clock-config.c:128:0:
../../../../../../../../c/src/lib/libbsp/powerpc/qoriq/clock/../../../shared/clockdrv_shell.h:147:21: warning: no previous prototype for 'Clock_initialize' [-Wmissing-prototypes]
gmake[5]: * [clock-config.o] Error 1
gmake[5]: Leaving directory `/users/rtems/src/rtems.org/rtems.mirror/BUILD/powerpc-rtems4.11/c/qoriq_p1020rdb/lib/libbsp/powerpc/qoriq'

Change History (3)

comment:1 Changed on Apr 5, 2012 at 7:03:50 AM by Ralf Corsepius

Cc: Sebastian Huber added

comment:2 Changed on Apr 10, 2012 at 6:20:19 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.